Unverified Commit 8aee8821 authored by Conor Schaefer's avatar Conor Schaefer
Browse files

Adds support for Debian 10 Buster

Mostly it's the PHP version bump, 7.0 -> 7.3. One of the PHP packages
doesn't exist in the Buster repos, so added conditional logic to
preserve it by default, but omit specifically when PHP == 7.3.
parent 11125a36
---
# [system]
# system_configuration for php 7.3:
php_dir: "/etc/php/7.3"
php_bin: "php-fpm7.3"
php_pkg_apcu: "php-apcu"
php_pkg_spe:
- "php-imap"
- "php-imagick"
- "php-redis"
- "php7.3-xml"
- "php7.3-zip"
- "php7.3-mbstring"
php_socket: "/run/php/php7.3-fpm.sock"
......@@ -15,6 +15,7 @@ galaxy_info:
- name: Debian
versions:
- stretch
- buster
galaxy_tags:
- nextcloud
......
......@@ -12,7 +12,8 @@
- "php{{ php_ver }}-json"
- "php{{ php_ver }}-curl"
- "php{{ php_ver }}-intl"
- "php{{ php_ver }}-mcrypt"
# Debian Buster lacks the php7.3-mcrypt package
- "{{ 'php'+php_ver+'-mcrypt' if php_ver != 7.3 else omit }}"
notify:
- start http
......
---
php_ver: 7.3
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment